org.yaml.snakeyaml.extensions.compactnotation

## Class CompactData

- java.lang.Object
- - org.yaml.snakeyaml.extensions.compactnotation.CompactData

    public class CompactData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CompactData(String prefix)`

### Method Summary

Methods
`List<String>` `getArguments()`
`String` `getPrefix()`
`Map<String,String>` `getProperties()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompactData

    public CompactData(String prefix)

### Method Detail

#### getPrefix

    public String getPrefix()

#### getProperties

    public Map<String,String> getProperties()

#### getArguments

    public List<String> getArguments()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`